/**
  *  \file client/dialogs/buildqueuesummary.h
  *  \brief Build Queue Summary Dialog
  */
#ifndef PCC_V2_CLIENT_DIALOGS_BUILDQUEUESUMMARY_H
#define PCC_V2_CLIENT_DIALOGS_BUILDQUEUESUMMARY_H

#include "game/actions/changebuildqueue.h"

/** Build Queue Summary Dialog.

    Displays a summary of GChangeBuildQueue::Infos_t):
    - totals by action
    - totals by hull type

    \param infos       Information to display */
void doBuildQueueSummaryDialog(const GChangeBuildQueue::Infos_t& infos);

#endif
